Bug 906341 - Cannot create a new MAPI Book/Calendar
Cannot create a new MAPI Book/Calendar
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-mapi (Show other bugs)
6.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Patch
: 906364 (view as bug list)
Depends On: 883017 905591
Blocks: 960054
  Show dependency treegraph
 
Reported: 2013-01-31 08:37 EST by Jiri Koten
Modified: 2015-09-27 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-mapi-0.32.2-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:10:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution-mapi-0.28.3-create-new-sources.patch (16.52 KB, patch)
2013-02-01 06:21 EST, Milan Crha
no flags Details | Diff
Screenshot (76.97 KB, image/png)
2013-10-08 10:57 EDT, Jiri Koten
no flags Details

  None (edit)
Description Jiri Koten 2013-01-31 08:37:44 EST
Description of problem:
When I create a new MAPI Address Book in evolution, it is not synced - I don't see it from other clients like OWA and also it doesn't retain any contacts. 

I'm getting "Unable to perform search. This query did not complete successfully
" error when I select the Address Book.

When I create a new contact in it, on next start it's displayed in the default "Contacts" Address Book. The newly created Address Book remains empty.

Tested with MS Exchange 2010 server.

Version-Release number of selected component (if applicable):
evolution-2.28.3-30.el6
evolution-data-server-2.28.3-16.el6
evolution-mapi-0.28.3-11.el6
openchange-1.0-4.el6
samba4-libs-4.0.0-53.el6.rc4


How reproducible:
100%

Steps to Reproduce:
1. Create a new MAPI Address Book
2. Select it
3. Create a new contact in it
4. Restart evo 
5. Select the newly created Address Book
6. Open the account in another client (OWA)
  
Actual results:
Address Book is not accessible from other clients and fails to retain any contacts
Comment 2 Milan Crha 2013-01-31 15:03:02 EST
To be honest, I do not know how OWA works with user-created book/calendar (bug #906364) folders. I think if you create the folder under "Contacts", or under "Calendar" (simply below the "Personal Folders", then it'll be shown in the OWA too.
Comment 4 Milan Crha 2013-02-01 06:08:45 EST
*** Bug 906364 has been marked as a duplicate of this bug. ***
Comment 5 Milan Crha 2013-02-01 06:14:23 EST
This depends on the QueryRows bug (bug #905591), without it evolution-mapi throws errors when selecting newly created books/calendars.

Otherwise this is addressed by three upstream bugs:
https://bugzilla.gnome.org/show_bug.cgi?id=600655
https://bugzilla.gnome.org/show_bug.cgi?id=620095
https://bugzilla.gnome.org/show_bug.cgi?id=623280

Please note that to have this fully working, one should visit the Mail view and see there the folders, otherwise the list of places in New Book/Calendar is "empty", consisting only with "Personal Folders", which is just a virtual node.
Comment 6 Milan Crha 2013-02-01 06:21:12 EST
Created attachment 691527 [details]
evolution-mapi-0.28.3-create-new-sources.patch

This is a compilation of the fixes for those three upstream bug reports and a bit more changes, thus user cannot create folders directly under the "Personal Folders" node. The Exchange's 2010 OWA shows calendar/book folders regardless whether they are created under Mailbox folder or the mailbox/Calendar folder, it only requires to be re-logged, to not use cached data.
Comment 8 Milan Crha 2013-05-09 06:26:45 EDT
All three upstream patches from comment #5 are part of 0.32.2, thus I make this depends also on the rebase bug.
Comment 12 Jiri Koten 2013-10-08 10:57:00 EDT
Created attachment 809346 [details]
Screenshot

The addressbook is created and synced to server but it contains three malformed contacts (see screenshot) which only shows in Evolution. After opening the adressbook in OWA they disappear on next sync.

Also cannot delete or rename the adressbook and it doesn't retain any contacts created in evo, they appear in Contacts after restart. Should I file separate bugs for these? 


Addressbok created under Mailbox > Contacts.
Comment 15 Milan Crha 2013-10-11 10:00:35 EDT
It seems to me that there are missing upstream patches for

https://bugzilla.gnome.org/show_bug.cgi?id=638247
   Deadlock when enables an account

https://bugzilla.gnome.org/show_bug.cgi?id=641123
   Not set "folder-id" property on an addressbook source

I see it working fine with them. Here [1] is a test package for confirmation. Please, give it a try.

[1] https://brewweb.devel.redhat.com/taskinfo?taskID=6404807
Comment 24 errata-xmlrpc 2013-11-21 00:10:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.